package ru.dbotthepony.mc.otm.registry

import net.minecraft.tags.BlockTags
import net.minecraft.tags.TagKey
import net.minecraft.world.level.block.Block
import ru.dbotthepony.mc.otm.OverdriveThatMatters
import ru.dbotthepony.mc.otm.core.ResourceLocation

@Suppress("unused")
object MBlockTags {
	val CARGO_CRATES: TagKey<Block> = BlockTags.create(ResourceLocation(OverdriveThatMatters.MOD_ID, "cargo_crates"))
	val INDUSTRIAL_GLASS: TagKey<Block> = BlockTags.create(ResourceLocation(OverdriveThatMatters.MOD_ID, "industrial_glass"))

	val CRAFTING_TABLES: TagKey<Block> = BlockTags.create(ResourceLocation("c", "crafting_tables"))
	val WORKBENCHES: TagKey<Block> = BlockTags.create(ResourceLocation("c", "workbenches"))
	val WORKBENCH: TagKey<Block> = BlockTags.create(ResourceLocation("c", "workbench"))

	val REQUIRES_TRITANIUM_TOOL: TagKey<Block> = BlockTags.create(ResourceLocation("minecraft", "requires_tritanium_tool"))

	val TRITANIUM_BLOCKS: TagKey<Block> = BlockTags.create(ResourceLocation("c", "storage_blocks/tritanium"))

	val DILITHIUM_ORES: TagKey<Block> = BlockTags.create(ResourceLocation("c", "ores/dilithium"))

	val HARDENED_GLASS_PANES: TagKey<Block> = BlockTags.create(ResourceLocation("c", "hardened_glass_panes"))
	val HARDENED_GLASS_PANES_BLACK: TagKey<Block> = BlockTags.create(ResourceLocation("c", "hardened_glass_panes/black"))
	val HARDENED_GLASS_PANES_BLUE: TagKey<Block> = BlockTags.create(ResourceLocation("c", "hardened_glass_panes/blue"))
	val HARDENED_GLASS_PANES_BROWN: TagKey<Block> = BlockTags.create(ResourceLocation("c", "hardened_glass_panes/brown"))
	val HARDENED_GLASS_PANES_COLORLESS: TagKey<Block> = BlockTags.create(ResourceLocation("c", "hardened_glass_panes/colorless"))
	val HARDENED_GLASS_PANES_CYAN: TagKey<Block> = BlockTags.create(ResourceLocation("c", "hardened_glass_panes/cyan"))
	val HARDENED_GLASS_PANES_GRAY: TagKey<Block> = BlockTags.create(ResourceLocation("c", "hardened_glass_panes/gray"))
	val HARDENED_GLASS_PANES_GREEN: TagKey<Block> = BlockTags.create(ResourceLocation("c", "hardened_glass_panes/green"))
	val HARDENED_GLASS_PANES_LIGHT_BLUE: TagKey<Block> = BlockTags.create(ResourceLocation("c", "hardened_glass_panes/light_blue"))
	val HARDENED_GLASS_PANES_LIGHT_GRAY: TagKey<Block> = BlockTags.create(ResourceLocation("c", "hardened_glass_panes/light_gray"))
	val HARDENED_GLASS_PANES_LIME: TagKey<Block> = BlockTags.create(ResourceLocation("c", "hardened_glass_panes/lime"))
	val HARDENED_GLASS_PANES_MAGENTA: TagKey<Block> = BlockTags.create(ResourceLocation("c", "hardened_glass_panes/magenta"))
	val HARDENED_GLASS_PANES_ORANGE: TagKey<Block> = BlockTags.create(ResourceLocation("c", "hardened_glass_panes/orange"))
	val HARDENED_GLASS_PANES_PINK: TagKey<Block> = BlockTags.create(ResourceLocation("c", "hardened_glass_panes/pink"))
	val HARDENED_GLASS_PANES_PURPLE: TagKey<Block> = BlockTags.create(ResourceLocation("c", "hardened_glass_panes/purple"))
	val HARDENED_GLASS_PANES_RED: TagKey<Block> = BlockTags.create(ResourceLocation("c", "hardened_glass_panes/red"))
	val HARDENED_GLASS_PANES_WHITE: TagKey<Block> = BlockTags.create(ResourceLocation("c", "hardened_glass_panes/white"))
	val HARDENED_GLASS_PANES_YELLOW: TagKey<Block> = BlockTags.create(ResourceLocation("c", "hardened_glass_panes/yellow"))

	val HARDENED_GLASS: TagKey<Block> = BlockTags.create(ResourceLocation("c", "hardened_glass"))
	val HARDENED_GLASS_BLACK: TagKey<Block> = BlockTags.create(ResourceLocation("c", "hardened_glass/black"))
	val HARDENED_GLASS_BLUE: TagKey<Block> = BlockTags.create(ResourceLocation("c", "hardened_glass/blue"))
	val HARDENED_GLASS_BROWN: TagKey<Block> = BlockTags.create(ResourceLocation("c", "hardened_glass/brown"))
	val HARDENED_GLASS_COLORLESS: TagKey<Block> = BlockTags.create(ResourceLocation("c", "hardened_glass/colorless"))
	val HARDENED_GLASS_CYAN: TagKey<Block> = BlockTags.create(ResourceLocation("c", "hardened_glass/cyan"))
	val HARDENED_GLASS_GRAY: TagKey<Block> = BlockTags.create(ResourceLocation("c", "hardened_glass/gray"))
	val HARDENED_GLASS_GREEN: TagKey<Block> = BlockTags.create(ResourceLocation("c", "hardened_glass/green"))
	val HARDENED_GLASS_LIGHT_BLUE: TagKey<Block> = BlockTags.create(ResourceLocation("c", "hardened_glass/light_blue"))
	val HARDENED_GLASS_LIGHT_GRAY: TagKey<Block> = BlockTags.create(ResourceLocation("c", "hardened_glass/light_gray"))
	val HARDENED_GLASS_LIME: TagKey<Block> = BlockTags.create(ResourceLocation("c", "hardened_glass/lime"))
	val HARDENED_GLASS_MAGENTA: TagKey<Block> = BlockTags.create(ResourceLocation("c", "hardened_glass/magenta"))
	val HARDENED_GLASS_ORANGE: TagKey<Block> = BlockTags.create(ResourceLocation("c", "hardened_glass/orange"))
	val HARDENED_GLASS_PINK: TagKey<Block> = BlockTags.create(ResourceLocation("c", "hardened_glass/pink"))
	val HARDENED_GLASS_PURPLE: TagKey<Block> = BlockTags.create(ResourceLocation("c", "hardened_glass/purple"))
	val HARDENED_GLASS_RED: TagKey<Block> = BlockTags.create(ResourceLocation("c", "hardened_glass/red"))
	val HARDENED_GLASS_WHITE: TagKey<Block> = BlockTags.create(ResourceLocation("c", "hardened_glass/white"))
	val HARDENED_GLASS_YELLOW: TagKey<Block> = BlockTags.create(ResourceLocation("c", "hardened_glass/yellow"))

	val MULTIBLOCK_STRUCTURE: TagKey<Block> = BlockTags.create(ResourceLocation(OverdriveThatMatters.MOD_ID, "multiblock_structure"))
	val MULTIBLOCK_HARD_STRUCTURE: TagKey<Block> = BlockTags.create(ResourceLocation(OverdriveThatMatters.MOD_ID, "multiblock_hard_structure"))
	val MULTIBLOCK_SOFT_STRUCTURE: TagKey<Block> = BlockTags.create(ResourceLocation(OverdriveThatMatters.MOD_ID, "multiblock_soft_structure"))
}
